#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

##########

# not sure exactly what this is used for but it seems it needs to default
# to something 
_optsite_ {}


##########

_htmlextra_ {}

_starthighlight_ {<b><u>}
_endhighlight_ {</u></b>}

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<p><h2>oops</h2>
_textdefaultcontent_}
_pagetitle_ {_textdefaulttitle_}
_imagethispage_ {}
_iconcollection_ {}
_collectionname_ {}

_imagecollection_ {_If_("_iconcollection_" ne "",
<a href="_httppageabout_"><img src="_iconcollection_" border=0></a>,
_imagecollectionv_}
_imagecollection_ [v=1] {_imagecollectionv_}
_imagecollectionv_ {_If_(_collectionname_,<br><br><h2><a href="_httppageabout_">_collectionname_</a></h2>)}

#######################################################################
# these width macros are read in by the server when calculating 
# width of navigation bar etc. There should be one for each 
# classification that this receptionist supports, one for the 
# search button, and the _pagewidth_ macro which is the total width
# of the page
#######################################################################

# width of tabs when displaying tables of contents
_tabwidth_ {25}

_pagewidth_ {537}
# defaultwidth is the width buttons default to if not included in this list
_defaultwidth_ {87}
_searchwidth_ {_widthtsrchx_}
_Titlewidth_ {_widthttitlx_}
_Listwidth_ {_widthtlistx_}
_Creatorwidth_ {_widthtauthx_}
_Serieswidth_ {_widthtserx_}
_Datewidth_ {_widthtdatex_}
_Subjectwidth_ {_widthtsubjx_}
_Towidth_ {_widthttox_}
_Fromwidth_ {_widthtfromx_}
_Organizationwidth_ {_widthtorgx_}
_Howtowidth_ {_widththowx_}
_Topicwidth_ {_widthttopicx_}
_Browsewidth_ {_widthtbrwsex_}
_Peoplewidth_ {_widthtpeopx_}
_Languagewidth_ {_widthtlangx_}
_Acronymwidth_ {_widthtacrox_}
_Phrasewidth_ {_widthtphrsex_}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

# _win32_ will be set to 1 if we're on windows
_win32_ {}

_navigationbar_ {}
_widthtspace_ {2}

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}
#granularity selection for mgpp
_gselection_ {}

#######################################################################
# flashy rollover image macro
#
#######################################################################

# imagescript should always be included in html header if there are
# flashy images on the page
_imagescript_ {
var loaded = new Array();
function gbutton (image, onimage) \{
  if (image && image.src && (image.out == null || typeof(image.out) == typeof(void(0)))) \{
    s = image.src;
    image.out = new Image();
    image.out.src = s;
    image.over = new Image();
    image.over.src = onimage;
    loaded[image.name] = image;
  \}
\}

function roll (imagename, over) \{
  if (document.images) \{
    if (over) i = "over";
    else i = "out";
    image = loaded[imagename];
    if (image) image.src = eval("image."+i+".src");
  \}
\}
}

# gsimage should be used to define an instance of a flashy image
# parameters are:
# 1. the url to go to when the button is clicked
# 2. the url of the "off" image
# 3. the url of the "on" image
# 4. the name of the image (must be unique)
# 5. image alt text
_gsimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);"><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}

_gsimage_ [v=1] {<a href="_1_">_5_</a><br>}

#######################################################################
# navigation bar images
#
#######################################################################

# the spacer image - the width of this is set from server
_imagespacer_ {<img 
src="_httpicontspace_" width="_widthtspace_" height="_heighttspace_">}
_imagespacer_[v=1] {<br>
}

# image macros for all the classifications currently supported by
# this receptionist.

_imagesearch_ {_If_("_cgiargu_" ne "1",_imagesearch2_,_iconnosearch_)}
_imagesearch2_ {_gsimage_(_httpquery_,_httpicontsrchof_,_httpicontsrchon_,srch,_textimagesearch_)}
_imageTitle_ {_gsimage_(_httpbrowseTitle_,_httpiconttitlof_,_httpiconttitlon_,titles,_textimageTitle_)}
_imageCreator_ {_gsimage_(_httpbrowseCreator_,_httpicontauthof_,_httpicontauthon_,authors,_textimageCreator_)}
_imageSeries_ {_gsimage_(_httpbrowseSeries_,_httpicontserof_,_httpicontseron_,series,_textimageSeries_)}
_imageDate_ {_gsimage_(_httpbrowseDate_,_httpicontdateof_,_httpicontdateon_,dates,_textimageDate_)}
_imageSubject_ {_gsimage_(_httpbrowseSubject_,_httpicontsubjof_,_httpicontsubjon_,subjects,_textimageSubject_)}
_imageTo_ {_gsimage_(_httpbrowseTo_,_httpiconttoof_,_httpiconttoon_,to,_textimageTo_)}
_imageFrom_ {_gsimage_(_httpbrowseFrom_,_httpicontfromof_,_httpicontfromon_,from,_textimageFrom_)}
_imageOrganization_ {_gsimage_(_httpbrowseOrganization_,_httpicontorgof_,_httpicontorgon_,org,_textimageOrganization_)}
_imageHowto_ {_gsimage_(_httpbrowseHowto_,_httpiconthowof_,_httpiconthowon_,how,_textimageHowto_)}
_imageTopic_ {_gsimage_(_httpbrowseTopic_,_httpiconttopicof_,_httpiconttopicon_,topic,_textimageTopic_)}
_imageBrowse_ {_gsimage_(_httpBrowse_,_httpicontbrwseof_,_httpicontbrwseon_,browse,_textimageBrowse_)}
_imagePeople_ {_gsimage_(_httpbrowsePeople_,_httpicontpeopof_,_httpicontpeopon_,people,_textimagePeople_)}
_imageLanguage_ {_gsimage_(_httpbrowseLanguage_,_httpicontlangof_,_httpicontlangon_,language,_textimageLanguage_)}
_imageAcronym_ {_gsimage_(_httpbrowseAcronym_,_httpicontacroof_,_httpicontacroon_,acronym,_textimageAcronym_)}
_imagePhrase_ {_gsimage_(_httpbrowsePhrase_,_httpicontphrseof_,_httpicontphrseon_,phrase,_textimagePhrase_)}

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome__imagehelp__imagepref_}
_javalinks_ [v=1] {
_imagehome_<br>
_imagehelp_<br>
_imagepref_<br>
}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {greenstone@cs.waikato.ac.nz}

_gsdltop_ {_top}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpcollimg_ {_httpcollection_/index/assoc}
_httpdocimg_ {_httpcollimg_/_thisOID_}

_httpcollection_ {_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
_httppagestatus_ {_gwcgi_?e=_compressedoptions_&a=status&p=frameset}
_httppagecollector_ {_gwcgi_?a=collector&p=intro}
_httppageabout_ {_httppagex_(about)}
#_httppagehome_ {_httppagex_(home)}
###_httppagehome_ {http://www.nzdl.org/cgi-bin/dblibrary?a=p&p=home}
_httppagehome_ {_gwcgi_?a=p&p=home}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}
_httppagedocs_ {_httppagex_(docs)}
_httpclearhistory_ {_gwcgi_?e=_compressedoptions_&a=dh}

_httpgreenstone_ {_httppagex_(gsdl)}
_httpdownload_ {http://www.nzdl.org/download}
_httppublications_ {_httpdownload_/greenstone/publications}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
_httpBrowse_ {_gwcgi_?e=_compressedoptions_&a=br}

# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
# may occasionally be altered by the server however
_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
_httpdoc_  {_gwcgi_?e=_compressedoptions_&a=d}

_httpextlink_ {_gwcgi_?e=_compressedoptions_&a=extlink}
_httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconibtext_ {_httpimg_/ibtext.gif}
_widthibtext_ {16}
_heightibtext_ {21}

_httpiconimpegvideo_ {_httpimg_/impegvid.gif}
_widthimpegvideo_ {29}
_heightimpegvideo_ {32}

_httpiconiqtvideo_ {_httpimg_/iqtvideo.gif}
_widthiqtvideo_ {29}
_heightiqtvideo_ {32}

_httpiconirmvideo_ {_httpimg_/irmvideo.gif}
_widthirmvideo_ {29}
_heightirmvideo_ {32}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontspace_ {_httpimg_/tspace.gif}
_heighttspace_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}

_httpiconipdf_ {_httpimg_/ipdf.gif}
_widthipdf_ {26}
_heightipdf_ {26}

_httpiconips_ {_httpimg_/ips.gif}
_widthips_ {25}
_heightips_ {32}

_httpiconirtf_ {_httpimg_/irtf.gif}
_widthirtf_ {29}
_heightirtf_ {32}

_httpiconimsword_ {_httpimg_/imsword.gif}
_widthimsword_ {26}
_heightimsword_ {26}

_httpiconimidi_ {_httpimg_/imidi.gif}
_widthimidi_ {16}
_heightimidi_ {21}

#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{<img src="_httpiconmore_" align=absbottom 
width=_widthmore_ height=_heightmore_ border=0 alt="_texticonnext_">}
_iconnext_[v=1] {_texticonnext_}

_iconprev_{<img src="_httpiconless_" align=absbottom 
width=_widthless_ height=_heightless_ border=0 alt="_texticonprev_">}
_iconprev_[v=1] {_texticonprev_}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" width=_widthtsrchx_ border=0>}
_icontabsearchgreen_[v=1] {_texticontabsearchgreen_}

_icontabListgreen_ {<img
src="_httpicontlistgr_" width=_widthtlistx_ border=0>}
_icontablistgreen_ [v=1] {_texticontablistgreen_}

_icontabTitlegreen_ {<img 
src="_httpiconttitlgr_" width=_widthttitlx_ border=0>}
_icontabTitlegreen_[v=1] {_texticontabtitlegreen_}

_icontabCreatorgreen_ {<img 
src="_httpicontauthgr_" width=_widthtauthx_ border=0>}
_icontabCreatorgreen_[v=1] {_texticontabauthorgreen_}

_icontabSeriesgreen_ {<img 
src="_httpicontsergr_" width=_widthtserx_ border=0>}
_icontabSeriesgreen_[v=1] {_texticontabseriesgreen_}

_icontabDategreen_ {<img 
src="_httpicontdategr_" width=_widthtdatex_ border=0>}
_icontabDategreen_[v=1] {_texticontabdategreen_}

_icontabSubjectgreen_ {<img 
src="_httpicontsubjgr_" width=_widthtsubjx_ border=0>}
_icontabSubjectgreen_[v=1] {_texticontabsubjectgreen_}

_icontabTogreen_ {<img 
src="_httpiconttogr_" width=_widthttox_ border=0>}
_icontabTogreen_[v=1] {_texticontabtogreen_}

_icontabFromgreen_ {<img 
src="_httpicontfromgr_" width=_widthtfromx_ border=0>}
_icontabFromgreen_[v=1] {_texticontabfromgreen_}

_icontabHowtogreen_ {<img 
src="_httpiconthowgr_" width=_widththowx_ border=0>}
_icontabHowtogreen_[v=1] {_texticontabhowgreen_}

_icontabTopicgreen_ {<img 
src="_httpiconttopicgr_" width=_widthttopicx_ border=0>}
_icontabTopicgreen_[v=1] {_texticontabtopicgreen_}

_icontabBrowsegreen_ {<img 
src="_httpicontbrwsegr_" width=_widthtbrwsex_ border=0>}
_icontabBrowsegreen_[v=1] {_texticontabbrwsegreen_}

_icontabOrganizationgreen_ {<img 
src="_httpicontorggr_" width=_widthtorgx_ border=0>}
_icontabOrganizationgreen_[v=1] {_texticontaborggreen_}

_icontabPeoplegreen_ {<img
src="_httpicontpeopgr_" width=_widthtpeopx_ border=0>}
_icontabPeoplegreen_[v=1] {_texticontabPeoplegreen_}

_icontabLanguagegreen_ {<img
src="_httpicontlanggr_" width=_widthtlangx_ border=0>}
_icontabLanguagegreen_[v=1] {_texticontabLanguagegreen_}

_icontabAcronymgreen_ {<img
src="_httpicontacrogr_" width=_widthtacrox_ border=0>}
_icontabAcronymgreen_[v=1] {_texticontabAcronymgreen_}

_icontabPhrasegreen_ {<img
src="_httpicontphrsegr_" width=_widthtphrsex_ border=0>}
_icontabPhrasegreen_[v=1] {_texticontabPhrasegreen_}

_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_></center>}
_iconblankbar_[v=1] {<br><hr><br>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
_icontext_[v=1] {_texticontext_}

_iconblanktext_ {<img border=0 align=absmiddle src="_httpiconibtext_" width=_widthibtext_ height=_heightibtext_>}
_iconblanktext_[v=1] {}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}
_iconclosedbook_ [v=1] {<small><b>_texticonclosedbook_: </b></small>}
_iconclosedbook_ [v=1,l=zh]{<small><_font_><b>_texticonclosedbook_: </b></font></small>}

_icondoc_ {<img border=0 align=absmiddle src="_httpiconimsword_" width=_widthimsword_ height=_heightimsword_ alt="_texticonmsword_">}
_iconmsword_[v=1] {_texticonmsword_}

_iconpdf_ {<img border=0 align=absmiddle src="_httpiconipdf_" width=_widthipdf_ height=_heightipdf_ alt="_texticonpdf_">}
_iconpdf_[v=1] {_texticonpdf_}

_iconps_ {<img border=0 align=absmiddle src="_httpiconips_" width=_widthips_ height=_heightips_ alt="_texticonps_">}
_iconps_[v=1] {_texticonps_}

_iconrtf_ {<img border=0 align=absmiddle src="_httpiconirtf_" width=_widthirtf_ height=_heightirtf_ alt="_texticonrtf_">}
_iconrtf_[v=1] {_texticonrtf_}

_iconmidi_ {<img border=0 align=absmiddle src="_httpiconimidi_" width=_widthimidi_ height=_heightimidi_ alt="_texticonmidi_">}
_iconmidi_[v=1] {_texticonmidi_}

_iconnosearch_ {<img src="_httpimg_/nosearch.gif">}

#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################

_imagehome_ {_If_("_cgiargu_" ne "1",_imagehome2_)}
_imagehome2_ {_gsimage_(_httppagehome_,_httpiconchomeof_,_httpiconchomeon_,homer,_textimagehome_)}

_imagehelp_ {_gsimage_(_httppagehelp_,_httpiconchelpof_,_httpiconchelpon_,help,_textimagehelp_)}

_imagepref_ {_If_("_cgiargu_" ne "1",_imagepref2_)}
_imagepref2_ {_gsimage_(_httppagepref_,_httpiconcprefof_,_httpiconcprefon_,pref,_textimagepref_)}

_imagegreenstone_ {<img src="_httpicongsdl_" width="_widthgsdl_" height="_heightgsdl_" border="0" alt="_textimagegreenstone_" hspace=0>}
_imagegreenstone_[v=1] {_textimagegreenstone_}
